package com.yeejoin.amos.patrol.business.dao.mapper;

import com.yeejoin.amos.patrol.business.entity.mybatis.RiskJudgmentFillRecordBo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 风险研判填写记录表
 */
public interface RiskJudgmentFillRecordMapper {

    Integer save(RiskJudgmentFillRecordBo riskJudgmentFillRecordBo);

    Integer update(RiskJudgmentFillRecordBo riskJudgmentFillRecordBo);

    Integer saveBatch(List<RiskJudgmentFillRecordBo> recordList);
    
    void saveBatchWithStatus (List<RiskJudgmentFillRecordBo> recordList);

    Integer updateBatch(List<RiskJudgmentFillRecordBo> recordList);

    List<RiskJudgmentFillRecordBo> listFillRecordData(@Param("taskId") Long taskId, @Param("type") Integer itemType, @Param("level") Integer itemLevel, @Param("itemParentId") Long itemId);

    Long countNotFinishRecordByTaskId(Long taskId);

	void updateInputResultAndselectResult(Map<String, Object> map);

}
